/*包含n个用于间接更新状态的方法的对象模块*/
import {
  SAVE_USER,
  RESET_USER,
  CLEAR_SCREEN,
  SPLIT_SCREEN,
  UPDATE_SIGNALPRELIST,
  SAVE_BIGSCREEN,
  SAVE_SIGNALLIST,
  SAVE_DEVICE
} from './mutation-types'

export default {

  saveUser ({commit}, user) {
    // 提交一个mutation请求
    commit(SAVE_USER, {user}) // 传递给mutation的是一个包含数据的对象
  },

  resetUser ({commit}) {
    // 提交一个mutation请求
    commit(RESET_USER) // 传递给mutation的是一个包含数据的对象
  },

  clearScreen({commit}) {
    commit(CLEAR_SCREEN)
  },

  splitScreen({commit},number) {
    commit(SPLIT_SCREEN,{number})
  },

  updateSignalPreList({commit},signalPreList) {
    commit(UPDATE_SIGNALPRELIST,{signalPreList})
  },

  saveBigscreen({commit},bigScreenJson) {
    commit(SAVE_BIGSCREEN,{bigScreenJson})
  },

  saveSignalList({commit},signalListJson) {
    commit(SAVE_SIGNALLIST,{signalListJson})
  },

  saveDevice({commit},deviceJson) {
    commit(SAVE_DEVICE,{deviceJson})
  }

}
